<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:myapp="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <android.support.v4.widget.SwipeRefreshLayout
        android:id="@+id/swipe_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="240dp">

                    <ImageView
                        android:id="@+id/img_bg"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_alignParentStart="true"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentTop="true"
                        android:contentDescription="@null"
                        android:scaleType="centerCrop"
                        android:src="@drawable/user_mine_profile_bg_11" />


                    <ImageView
                        android:id="@+id/iv_edit_info"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginTop="36dp"
                        android:layout_marginRight="27dp"
                        android:padding="5dp"
                        android:src="@drawable/user_mine_ic_mine_setting_info" />

                    <Button
                        android:id="@+id/btn_change"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/iv_edit_info"
                        android:layout_alignParentRight="true"
                        android:text="切换环境"
                        android:visibility="gone"
                        tools:visibility="visible" />


                    <com.ydl.ydlcommon.view.widgets.BorderCircleImageView
                        android:id="@+id/img_head"
                        android:layout_width="70dp"
                        android:layout_height="70dp"
                        android:layout_marginLeft="20dp"
                        android:layout_marginTop="50dp"
                        android:src="@drawable/platform_head_place_hold_pic"
                        myapp:pa_border_color="@color/white"
                        myapp:pa_border_width="2dp" />


                    <TextView
                        android:id="@+id/text_userName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignTop="@+id/img_head"
                        android:layout_marginLeft="14dp"
                        android:layout_toRightOf="@+id/img_head"
                        android:textColor="@color/white"
                        android:textSize="22sp"
                        tools:text="用户A" />


                    <android.support.v7.widget.CardView
                        android:id="@+id/cv_duration"
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:layout_below="@+id/text_userName"
                        android:layout_marginLeft="14dp"
                        android:layout_marginTop="3dp"
                        android:layout_toRightOf="@+id/img_head"
                        android:elevation="0dp"
                        app:cardCornerRadius="10dp">

                        <TextView
                            android:id="@+id/tv_duration"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_below="@+id/text_userName"
                            android:background="#40BCF9"
                            android:gravity="center_vertical"
                            android:paddingLeft="8dp"
                            android:paddingRight="8dp"
                            android:textColor="#FFFFFF"
                            android:textSize="11sp"
                            tools:text="你我相识已502天~" />
                    </android.support.v7.widget.CardView>


                    <LinearLayout
                        android:id="@+id/linearLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/img_head"
                        android:layout_marginLeft="16dp"
                        android:layout_marginTop="24dp"
                        android:layout_marginRight="14dp"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:id="@+id/ll_guanzhu"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="?android:attr/selectableItemBackground"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingTop="10dp">

                            <TextView
                                android:id="@+id/tv_attention_num"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                tools:text="90" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="2dp"
                                android:text="我的关注"
                                android:textColor="@color/white"
                                android:textSize="11sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="0.5dp"
                            android:layout_height="15dp"
                            android:layout_gravity="bottom"
                            android:background="@color/white" />


                        <LinearLayout
                            android:id="@+id/ll_my_trends"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="?android:attr/selectableItemBackground"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingTop="10dp">

                            <TextView
                                android:id="@+id/tv_trend_num"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                tools:text="90" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="2dp"
                                android:text="我的动态"
                                android:textColor="@color/white"
                                android:textSize="11sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="0.5dp"
                            android:layout_height="15dp"
                            android:layout_gravity="bottom"
                            android:background="@color/white" />


                        <LinearLayout
                            android:id="@+id/ll_fans"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="?android:attr/selectableItemBackground"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingTop="10dp">

                            <TextView
                                android:id="@+id/tv_fans_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                tools:text="90" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="2dp"
                                android:text="我的粉丝"
                                android:textColor="@color/white"
                                android:textSize="11sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="0.5dp"
                            android:layout_height="15dp"
                            android:layout_gravity="bottom"
                            android:background="@color/white" />


                        <LinearLayout
                            android:id="@+id/ll_my_test_log"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="?android:attr/selectableItemBackground"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingTop="10dp">

                            <TextView
                                android:id="@+id/tv_test_record_num"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                tools:text="90" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="2dp"
                                android:text="测试记录"
                                android:textColor="@color/white"
                                android:textSize="11sp" />

                        </LinearLayout>

                    </LinearLayout>


                </RelativeLayout>


                <android.support.v7.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="-20dp"
                    android:layout_marginRight="14dp"
                    android:elevation="4dp"
                    app:cardCornerRadius="6dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="20dp"
                        android:paddingTop="25dp"
                        android:paddingRight="20dp"
                        android:paddingBottom="22dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:id="@+id/ll_account"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:background="?android:attr/selectableItemBackground"
                                android:gravity="center_horizontal"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="25dp"
                                    android:layout_height="25dp"
                                    android:layout_marginTop="3dp"
                                    android:src="@drawable/user_mine_ic_account_charge" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="账户余额"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="12sp" />

                            </LinearLayout>

                            <RelativeLayout
                                android:id="@+id/ll_red_packet"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:background="?android:attr/selectableItemBackground">

                                <ImageView
                                    android:id="@+id/img_coupon"
                                    android:layout_width="25dp"
                                    android:layout_height="25dp"
                                    android:layout_centerHorizontal="true"
                                    android:layout_marginTop="3dp"
                                    android:src="@drawable/user_mine_ic_red_pack" />

                                <View
                                    android:id="@+id/view_new_coupon"
                                    android:layout_width="8dp"
                                    android:layout_height="8dp"
                                    android:layout_alignRight="@+id/img_coupon"
                                    android:layout_marginRight="-2dp"
                                    android:background="@drawable/user_mine_background_red_point_new_coupon"
                                    android:visibility="invisible"
                                    tools:visibility="visible" />


                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_below="@+id/img_coupon"
                                    android:layout_centerHorizontal="true"
                                    android:layout_marginTop="8dp"
                                    android:text="红包卡券"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="12sp" />

                            </RelativeLayout>

                            <LinearLayout
                                android:id="@+id/ll_reward"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:background="?android:attr/selectableItemBackground"
                                android:gravity="center_horizontal"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="25dp"
                                    android:layout_height="25dp"
                                    android:layout_marginTop="3dp"
                                    android:src="@drawable/user_mine_ic_tuiguang" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="推广返利"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="12sp" />

                            </LinearLayout>

                            <LinearLayout
                                android:id="@+id/ll_trade_order"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:background="?android:attr/selectableItemBackground"
                                android:gravity="center_horizontal"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="25dp"
                                    android:layout_height="25dp"
                                    android:layout_marginTop="3dp"
                                    android:src="@drawable/user_mine_ic_order" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="预约订单"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="12sp" />

                            </LinearLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="28dp">

                            <LinearLayout
                                android:id="@+id/ll_call_order"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:background="?android:attr/selectableItemBackground"
                                android:gravity="center_horizontal"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="25dp"
                                    android:layout_height="25dp"
                                    android:src="@drawable/user_mine_ic_qinshu_record" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="倾诉记录"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="12sp" />

                            </LinearLayout>

                            <LinearLayout
                                android:id="@+id/ll_my_courses"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:background="?android:attr/selectableItemBackground"
                                android:gravity="center_horizontal"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="25dp"
                                    android:layout_height="25dp"
                                    android:src="@drawable/user_mine_ic_my_course" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="我的课程"
                                    android:textColor="@color/platform_color_999999"
                                    android:textSize="12sp" />

                            </LinearLayout>

                            <View
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="2" />

                        </LinearLayout>

                    </LinearLayout>
                </android.support.v7.widget.CardView>

                <android.support.v7.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="14dp"
                    android:elevation="4dp"
                    app:cardCornerRadius="6dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_account_help"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_ic_helep"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="帮助中心" />

                        <View
                            style="@style/user_new_divide_color_style"
                            android:background="#ebebeb" />

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_account_privacy"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_ic_safe"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="隐私安全"
                            app:pa_jump_tv_right_color="#b3b3b3"
                            app:pa_jump_tv_right_size="10sp"
                            app:pa_jump_tv_right_text="设置手势密码，保障隐私安全" />

                        <View
                            style="@style/user_new_divide_color_style"
                            android:background="#ebebeb" />

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_account_setting"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_ic_mine_setting"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="设置" />

                        <View
                            style="@style/user_new_divide_color_style"
                            android:background="#ebebeb" />

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_introduce"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_app_mine_introduce"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="壹点灵介绍" />

                        <View
                            style="@style/user_new_divide_color_style"
                            android:background="#ebebeb" />

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_about_us"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_app_mine_aboutus"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="关于我们" />

                    </LinearLayout>

                </android.support.v7.widget.CardView>

                <android.support.v7.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="14dp"
                    android:elevation="4dp"
                    app:cardCornerRadius="6dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_account_share"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_ic_mine_share"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="分享" />

                        <View
                            style="@style/user_new_divide_color_style"
                            android:background="#ebebeb" />

                        <com.ydl.ydlcommon.view.JumpTextView
                            android:id="@+id/jtv_account_enter"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:background="@color/white"
                            app:pa_jump_tv_icon="@drawable/user_mine_ruzhu"
                            app:pa_jump_tv_left_color="@color/platform_color_999999"
                            app:pa_jump_tv_left_size="12sp"
                            app:pa_jump_tv_left_text="专家入驻"
                            app:pa_jump_tv_right_color="#b3b3b3"
                            app:pa_jump_tv_right_size="10sp" />

                    </LinearLayout>

                </android.support.v7.widget.CardView>


                <com.ydl.ydlcommon.view.JumpTextView
                    android:id="@+id/jtv_test"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginBottom="20dp"
                    android:background="@color/white"
                    android:visibility="gone"
                    app:pa_jump_tv_icon="@drawable/user_mine_ic_mine_share"
                    app:pa_jump_tv_left_color="@color/platform_color_999999"
                    app:pa_jump_tv_left_size="12sp"
                    app:pa_jump_tv_left_text="debug环境任意门" />


                <ImageView
                    android:id="@+id/iv_mine_logo"
                    android:layout_marginTop="20dp"
                    tools:src="@drawable/user_mine_ydl_logo"
                    android:layout_width="match_parent"
                    android:background="@color/baby_blue"
                    android:layout_height="wrap_content"/>

            </LinearLayout>

        </ScrollView>
    </android.support.v4.widget.SwipeRefreshLayout>

    <TextView
        android:id="@+id/tishi"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#fffeae"
        android:padding="10dp"
        android:text=""
        android:textColor="#EB5835"
        android:visibility="gone" />

</RelativeLayout>